
def extract_noun_phrases(text, nlp):
    """
    Extracts noun phrases from a given text using spaCy's noun phrase chunking.

    Args:
        text (str): The input text from which to extract noun phrases.
        nlp: The spaCy language processor.

    Returns:
        list: A list of noun phrases extracted from the text.
    """
    doc = nlp(text)
    noun_phrases = [chunk.text for chunk in doc.noun_chunks]
    return noun_phrases



